﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.JavaScript.DataVisualization.DiagramEnums;
using Syncfusion.JavaScript.DataVisualization.Models;
using System.Web.Script.Serialization;
using Syncfusion.JavaScript.DataVisualization.Models.Collections;
using Syncfusion.JavaScript.DataVisualization.Models.Diagram;
using System.Web.Services;

namespace WebApplication20
{
    public partial class Data : System.Web.UI.Page
    {
        private static string sn, sn1;
         
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                 
                // set diagram model properties
                Diagram1.Model.Width = "100%";
                Diagram1.Model.Height = "100%";
                Diagram1.Model.PageSettings.PageWidth = 2000;
                Diagram1.Model.PageSettings.PageHeight = 2000;
                BasicShape node = new BasicShape();
                node.Name = "Rectangle";
                node.Width = 50;
                node.Height = 50;
                node.OffsetX = 200;
                node.OffsetY = 200;
                Dictionary<string, object> addInfo = new Dictionary<string, object>();
                addInfo.Add("roles", "role");
                node.AddInfo = addInfo;               
                Syncfusion.JavaScript.DataVisualization.Models.Diagram.Label label = new Syncfusion.JavaScript.DataVisualization.Models.Diagram.Label();
                label.Text = "HeadNode";
                node.Labels.Add(label);
                Diagram1.Model.Nodes.Add(node);
                Node node1 = new Node();
                node1.Name = "Ellipse";
                node1.Width = 50;
                node1.Height = 50;
                node1.OffsetX = 400;
                node1.OffsetY = 200;
                Dictionary<string, object> addInfo1 = new Dictionary<string, object>();
                addInfo1.Add("roles", "role");
                node1.AddInfo = addInfo1;                
                Syncfusion.JavaScript.DataVisualization.Models.Diagram.Label label1 = new Syncfusion.JavaScript.DataVisualization.Models.Diagram.Label();
                label1.Text = "TailNode";
                node1.Labels.Add(label1);
                Diagram1.Model.Nodes.Add(node1);
                connectnodes(node, node1);
            }
        }
        private void connectnodes(Node sourcenode, Node targetnode)
        {
            Connector connector = new Connector();
            connector.Name = "line" + Diagram1.Model.Connectors.Count;            
            connector.SourceNode = sourcenode.Name;
            connector.TargetNode = targetnode.Name;
            Diagram1.Model.Connectors.Add(connector);
        }        
        [WebMethod]
        public static string load()
        {
            NorthWindDataContextDiagramEntities entities = new NorthWindDataContextDiagramEntities();
            entities = SqlCE;
            List<SaveDatabase> kk = entities.SaveDatabases.ToList<SaveDatabase>();
            foreach (SaveDatabase it in kk)
            {
                sn = it.Diagram2;
                sn1 = it.Diagram3;
            }
            string gg = sn;
            return gg;
        }

        [WebMethod]
        public static void save(string param1)
        {
            NorthWindDataContextDiagramEntities entities = new NorthWindDataContextDiagramEntities();
            SaveDatabase gh = new SaveDatabase();
            gh.Diagram2 =param1;
            gh.Diagram3 = "dw";
            entities.SaveDatabases.Add(gh);
            entities.SaveChanges();
        }

        public static NorthWindDataContextDiagramEntities SqlCE
        {
            get
            {
                AppDomain.CurrentDomain.SetData("SQLServerCompactEditionUnderWebHosting", true);
                string connectionString = @"Data Source=|DataDirectory|\Diagram.sdf";
                return new NorthWindDataContextDiagramEntities(connectionString);
            }
        }
    }
}